# CurrentC.h File Reference

`#include "ace/config-all.h"`
`#include "tao/TAO_Export.h"`
`#include "tao/ORB.h"`
`#include "tao/Environment.h"`
`#include "tao/Object.h"`
`#include "tao/Objref_VarOut_T.h"`

Include dependency graph for CurrentC.h:

This graph shows which files directly or indirectly include this file:

## Namespaces

namespace | CORBA
namespace | TAO

## Classes

interface | CORBA::Current
struct | TAO::Objref_Traits< ::CORBA::Current >

## Defines

#define | TAO_EXPORT_MACRO TAO_Export
#define | _CORBA_CURRENT__VAR_OUT_CH_
#define | _CORBA_CURRENT_CH_
#define | _CORBA_CURRENT__TRAITS_

## Typedefs

typedef Current * | Current_ptr
typedef TAO_Objref_Var_T< Current > | Current_var
typedef TAO_Objref_Out_T< Current > | Current_out

## Define Documentation

#define _CORBA_CURRENT__TRAITS_

#define _CORBA_CURRENT__VAR_OUT_CH_

#define _CORBA_CURRENT_CH_

#define TAO_EXPORT_MACRO TAO_Export

## Typedef Documentation

typedef TAO_Objref_Out_T< Current > CORBA::Current_out

typedef Current* CORBA::Current_ptr

typedef TAO_Objref_Var_T< Current > CORBA::Current_var